{$apptype console}
function convert(x : integer) : string;
begin
  result := '';
  while (x > 0) do begin
    result := result + chr(ord('a') + x mod 26);
    x := x div 26;
  end;
end;

var
  i : integer;

begin
  writeln('0 ', paramstr(1), ' ', paramstr(2));
  write('a');
  for i := 1 to 5113 do begin
    write(' ');
    write(convert(1));
  end;
  writeln;
end.